Class | Compass::PNG
In: | lib/compass/grid_builder.rb
Parent: | Object

A simple class to represent and create a PNG-File No drawing features given Just subclass and write [R,G,B]-Byte-Values into the `@data` matrix Build for compactness, so not much error checking!

Code based on seattlerb‘s png, see seattlerb.rubyforge.org/png/

### Constants

CRC_TABLE | = | (0..255).map do |n| (0...8).inject(n){|x,i| x = ((x & 1) == 1) ? 0xedb88320 ^ (x >> 1) : x >> 1}

[Validate]